Uses of Interface
org.apache.camel.builder.endpoint.dsl.KServeEndpointBuilderFactory.KServeEndpointBuilder
Packages that use KServeEndpointBuilderFactory.KServeEndpointBuilder
-
Uses of KServeEndpointBuilderFactory.KServeEndpointBuilder in org.apache.camel.builder.endpoint
Methods in org.apache.camel.builder.endpoint that return KServeEndpointBuilderFactory.KServeEndpointBuilderModifier and TypeMethodDescriptionKServe (camel-kserve) Provide access to AI model servers with the KServe standard to run inference with remote models Category: ai Since: 4.10 Maven coordinates: org.apache.camel:camel-kserve Syntax:kserve:apiPath parameter: api (required) The KServe API There are 6 enums and the value can be one of: infer, model/ready, model/metadata, server/ready, server/live, server/metadataKServe (camel-kserve) Provide access to AI model servers with the KServe standard to run inference with remote models Category: ai Since: 4.10 Maven coordinates: org.apache.camel:camel-kserve Syntax:kserve:apiPath parameter: api (required) The KServe API There are 6 enums and the value can be one of: infer, model/ready, model/metadata, server/ready, server/live, server/metadata -
Uses of KServeEndpointBuilderFactory.KServeEndpointBuilder in org.apache.camel.builder.endpoint.dsl
Methods in org.apache.camel.builder.endpoint.dsl that return KServeEndpointBuilderFactory.KServeEndpointBuilderModifier and TypeMethodDescriptionKServeEndpointBuilderFactory.AdvancedKServeEndpointBuilder.basic()KServeEndpointBuilderFactory.KServeEndpointBuilder.credentials(io.grpc.ChannelCredentials credentials) The credentials of the client.KServeEndpointBuilderFactory.KServeEndpointBuilder.credentials(String credentials) The credentials of the client.KServeEndpointBuilderFactory.endpointBuilder(String componentName, String path) KServe (camel-kserve) Provide access to AI model servers with the KServe standard to run inference with remote models Category: ai Since: 4.10 Maven coordinates: org.apache.camel:camel-kserve Syntax:kserve:apiPath parameter: api (required) The KServe API There are 6 enums and the value can be one of: infer, model/ready, model/metadata, server/ready, server/live, server/metadataKServe (camel-kserve) Provide access to AI model servers with the KServe standard to run inference with remote models Category: ai Since: 4.10 Maven coordinates: org.apache.camel:camel-kserve Syntax:kserve:apiPath parameter: api (required) The KServe API There are 6 enums and the value can be one of: infer, model/ready, model/metadata, server/ready, server/live, server/metadataThe name of the model used for inference.KServeEndpointBuilderFactory.KServeEndpointBuilder.modelVersion(String modelVersion) The version of the model used for inference.The target URI of the client.